> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/payment-actions/account-verification.md).

# Account Verification

## Account Verification <a href="#account-verification" id="account-verification"></a>

Zero-value Account Verification enables merchants to check the status of an account and its validity without impacting their open-to-buy limit. The account verification check does not indicate whether the account has sufficient funds, but it ensures that it is valid and not blocked or invalid. Account verification service is offered as an alternative to old practices of using low-value authorizations, which are usually never settled and cleared. More specifically, there is a mandate for Visa and Mastercard brands to use the Visa Account Verification and MasterCard Account Status Inquiry Services, respectively, for both Card Present (CP) and Card Not Present (CNP) instead of low-value authorizations.

## Initiate Account Verification <a href="#initiate-account-verification" id="initiate-account-verification"></a>

Account Verification can be initiated as a standard [transaction](https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fverifone.cloud%2Fapi-catalog%2Fverifone-ecommerce-api%23operation%2FsaleTransaction\&data=04%7C01%7COleksandr.Ivanov%40VERIFONE.com%7C37e1ed8a0e5143d94ccc08d97753eec0%7C611a22d68c40495884e3ce47d8205d98%7C0%7C0%7C637672024631062630%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000\&sdata=B12BS30OhAeXGh4s%2FOSlxjn6Eg6of0Vdrun%2B2kmsixA%3D\&reserved=0), with the only difference that amount shall be equal to zero (0). Then, depending on the Acquirer you use, our internal system will map and send the appropriate message that the Acquirer expects.&#x20;

[**Transaction**](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/OnU159hHWJkJp14gc6AP) **request for Account Verification**:

```json
{
    "amount": 0,
    "auth_type": "FINAL_AUTH",
    "payment_provider_contract": "d84ac8ce-ad72-43b4-b7cf-6bbfe4c54f69",
    "capture_now": false,
    "customer_ip": "127.0.0.1",
    "reuse_token": "eXNKhusVjnSWKsZL",
    "currency_code": "EUR",
    "brand_choice": "MERCHANT",
    "shopper_interaction": "ECOMMERCE",
    "merchant_reference": "5678",
    "dynamic_descriptor": "TEST AUTOMATION ECOM",
    "card_brand": "VISA",
    "user_agent": "string"
}
```

**Transaction response for Account Verification:**

```json

   {
    "id": "e96b3842-7bd0-4630-9a71-0b93eddff119",
    "payment_provider_contract": "d84ac8ce-ad72-43b4-b7cf-6bbfe4c54f69",
    "amount": 0,
    "blocked": false,
    "merchant_reference": "5678",
    "payment_product": "CARD",
    "status": "AUTHORIZED",
    "authorization_code": "387288",
    "created_by": "88985012-1bee-4793-965d-f69009a04d7b",
    "cvv_present": true,
    "cvv_result": "0",
    "details": {
        "auto_capture": false
    },
    "reason_code": "0000",
    "rrn": "5678",
    "shopper_interaction": "ECOMMERCE",
    "stan": "007026",
    "reversal_status": "NONE",
    "geo_location": [
        35.69,
        139.69
    ],
    "country_code": "JPN",
    "additional_data": {
        "acquirer_response_code": "00",
        "initiator_trace_id": "007026"
    }
}
```

## Combine Account Verification with other products <a href="#combine-account-verification-with-other-products" id="combine-account-verification-with-other-products"></a>

Along with Account Verification, a merchant can use additional features such as Card Verification Value (CVV, CVC, CSC, CV2, etc.), Address Verification Service (AVS), and 3-D Secure, enabling them to verify both the cardholder and their accounts.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/payment-actions/account-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
